org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class LocalTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.LocalTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.LocalTest.Traversals

- Enclosing class:
    LocalTest

      public static class LocalTest.Traversals
      extends LocalTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.LocalTest

      `LocalTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_hasXlabel_personX_asXaX_localXoutXcreatedX_asXbXX_selectXa_bX_byXnameX_byXidX()`
    `Traversal<Vertex,String>` | `get_g_V_localXbothEXcreatedX_limitX1XX_otherV_name()`
    `Traversal<Vertex,String>` | `get_g_V_localXinEXknowsX_limitX2XX_outV_name()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_localXmatchXproject__created_person__person_name_nameX_selectXname_projectX_by_byXnameX()`
    `Traversal<Vertex,Long>` | `get_g_V_localXoutE_countX()`
    `Traversal<Vertex,String>` | `get_g_V_localXpropertiesXlocationX_order_byXvalueX_limitX2XX_value()`
    `Traversal<Vertex,String>` | `get_g_VX1X_localXoutEXknowsX_limitX1XX_inV_name(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX4X_localXbothE_limitX1XX_otherV_name(Object v4Id)`
    `Traversal<Vertex,String>` | `get_g_VX4X_localXbothE_limitX2XX_otherV_name(Object v4Id)`
    `Traversal<Vertex,Edge>` | `get_g_VX4X_localXbothEX1_createdX_limitX1XX(Object v4Id)`
    `Traversal<Vertex,Edge>` | `get_g_VX4X_localXbothEXknows_createdX_limitX1XX(Object v4Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.LocalTest

      `g_V_hasXlabel_personX_asXaX_localXoutXcreatedX_asXbXX_selectXa_bX_byXnameX_byXidX, g_V_localXbothEXcreatedX_limitX1XX_otherV_name, g_V_localXinEXknowsX_limitX2XX_outV_name, g_V_localXmatchXproject__created_person__person_name_nameX_selectXname_projectX_by_byXnameX, g_V_localXoutE_countX, g_V_localXpropertiesXlocationX_order_byXvalueX_limitX2XX_value, g_VX1X_localXoutEXknowsX_limitX1XX_inV_name, g_VX4X_localXbothE_limitX1XX_otherV_name, g_VX4X_localXbothE_limitX2XX_otherV_name, g_VX4X_localXbothEX1_createdX_limitX1XX, g_VX4X_localXbothEXknows_createdX_limitX1XX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_localXpropertiesXlocationX_order_byXvalueX_limitX2XX_value

          public Traversal<Vertex,String> get_g_V_localXpropertiesXlocationX_order_byXvalueX_limitX2XX_value()

      Specified by:
        `get_g_V_localXpropertiesXlocationX_order_byXvalueX_limitX2XX_value` in class `LocalTest`

    - #### get_g_V_hasXlabel_personX_asXaX_localXoutXcreatedX_asXbXX_selectXa_bX_byXnameX_byXidX

          public Traversal<Vertex,Map<String,Object>> get_g_V_hasXlabel_personX_asXaX_localXoutXcreatedX_asXbXX_selectXa_bX_byXnameX_byXidX()

      Specified by:
        `get_g_V_hasXlabel_personX_asXaX_localXoutXcreatedX_asXbXX_selectXa_bX_byXnameX_byXidX` in class `LocalTest`

    - #### get_g_V_localXoutE_countX

          public Traversal<Vertex,Long> get_g_V_localXoutE_countX()

      Specified by:
        `get_g_V_localXoutE_countX` in class `LocalTest`

    - #### get_g_VX1X_localXoutEXknowsX_limitX1XX_inV_name

          public Traversal<Vertex,String> get_g_VX1X_localXoutEXknowsX_limitX1XX_inV_name(Object v1Id)

      Specified by:
        `get_g_VX1X_localXoutEXknowsX_limitX1XX_inV_name` in class `LocalTest`

    - #### get_g_V_localXbothEXcreatedX_limitX1XX_otherV_name

          public Traversal<Vertex,String> get_g_V_localXbothEXcreatedX_limitX1XX_otherV_name()

      Specified by:
        `get_g_V_localXbothEXcreatedX_limitX1XX_otherV_name` in class `LocalTest`

    - #### get_g_VX4X_localXbothEX1_createdX_limitX1XX

          public Traversal<Vertex,Edge> get_g_VX4X_localXbothEX1_createdX_limitX1XX(Object v4Id)

      Specified by:
        `get_g_VX4X_localXbothEX1_createdX_limitX1XX` in class `LocalTest`

    - #### get_g_VX4X_localXbothEXknows_createdX_limitX1XX

          public Traversal<Vertex,Edge> get_g_VX4X_localXbothEXknows_createdX_limitX1XX(Object v4Id)

      Specified by:
        `get_g_VX4X_localXbothEXknows_createdX_limitX1XX` in class `LocalTest`

    - #### get_g_VX4X_localXbothE_limitX1XX_otherV_name

          public Traversal<Vertex,String> get_g_VX4X_localXbothE_limitX1XX_otherV_name(Object v4Id)

      Specified by:
        `get_g_VX4X_localXbothE_limitX1XX_otherV_name` in class `LocalTest`

    - #### get_g_VX4X_localXbothE_limitX2XX_otherV_name

          public Traversal<Vertex,String> get_g_VX4X_localXbothE_limitX2XX_otherV_name(Object v4Id)

      Specified by:
        `get_g_VX4X_localXbothE_limitX2XX_otherV_name` in class `LocalTest`

    - #### get_g_V_localXinEXknowsX_limitX2XX_outV_name

          public Traversal<Vertex,String> get_g_V_localXinEXknowsX_limitX2XX_outV_name()

      Specified by:
        `get_g_V_localXinEXknowsX_limitX2XX_outV_name` in class `LocalTest`

    - #### get_g_V_localXmatchXproject__created_person__person_name_nameX_selectXname_projectX_by_byXnameX

          public Traversal<Vertex,Map<String,String>> get_g_V_localXmatchXproject__created_person__person_name_nameX_selectXname_projectX_by_byXnameX()

      Specified by:
        `get_g_V_localXmatchXproject__created_person__person_name_nameX_selectXname_projectX_by_byXnameX` in class `LocalTest`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.